### Class

# PapersView Metadata

#### Description

    final class PapersView.Metadata : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### pps_metadata_new

No description available.

#### Functions

###### pps_metadata_is_file_supported

No description available.

#### Instance methods

###### pps_metadata_get_boolean

No description available.

###### pps_metadata_get_double

No description available.

###### pps_metadata_get_int

No description available.

###### pps_metadata_get_string

No description available.

###### pps_metadata_has_key

No description available.

###### pps_metadata_is_empty

No description available.

###### pps_metadata_set_boolean

No description available.

###### pps_metadata_set_double

No description available.

###### pps_metadata_set_int

No description available.

###### pps_metadata_set_string

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersViewMetadataClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.